import { STAGE_LIST } from '../../index'

export default {
  id: 'admission_ywjl',
  title: '英文简历',
  get: {
    action: `${process.env.baseURL}/api/enrollment/v1.0/application-materials/${process.env.projectId}`,
    callback(data) {
      const { attachments = [], submission_stage: submissionStage = 'FILLING' } = data.data.material

      this.form.options.disabled = STAGE_LIST.findIndex(item => item === submissionStage) > 6
      const RESUME_EN = attachments.filter(item => {
        return item.file_type_id === 'RESUME_EN'
      })
      return { RESUME_EN }
    }
  },
  form: {
    prev: { to: { query: { active: 'admission_byzs' } } },
    next: { to: { query: { active: 'admission_xy' } } },
    hasButton: false,
    options: {},
    items: [
      {
        type: 'v-upload',
        required: true,
        model: 'RESUME_EN',
        attrs: {
          action: `${process.env.baseURL}/api/enrollment/v1.0/application-materials/attachments/${process.env.projectId}/put`,
          deleteAction: `${process.env.baseURL}/api/enrollment/v1.0/application-materials/attachments/${process.env.projectId}/delete`,
          data: { file_type: 'RESUME_EN' }
        },
        append: `
        <p>请下载填写英文简历模板后上传 [<a href="https://webapp-pub.ezijing.com/project/sit-plus/%E8%8B%B1%E6%96%87%E7%AE%80%E5%8E%86%E6%A8%A1%E6%9D%BF--SIT.doc" target="_blank" download="英文简历模板">下载模板</a>]</p>
        <p>请将英文简历填写完存为"pdf"格式上传，文件小于10MB。</p>`
      }
    ]
  }
}
